#
# Makefile bestial pour un projet Latex
# 
# $Id: Makefile,v 1.16 1998/12/18 08:41:15 diam Exp $


########################################################################

FILE = "doc_pst-uml"
EXEMPLES = "exemplesUml"
PACKAGENAME = "pst-uml"
CVSMODULE = "diam/pst-uml"
# OLDPWD = `pwd`
# DATF  = `date +%y%m%d-%Hh%M`
ARCHIVE   = $(PACKAGENAME)-$(DATF)

########################################################################
# Quelques variable pour la cible diamarch 5archivage)

# Création d'une variable pour la date de lancement de ce make
DATF         = $(shell date +%y%m%d-%Hh%M)

# Mémorisation du répertoire courant
OLD_PWD       = $(shell pwd)

# Nom du répertoire contenant ou ranger la sauvegarde :
BACKUP_DIR   = $(HOME)/archives/BACKUP

# Nom du répertoire contenant les fichiers à sauvegarder :
DIR_TO_SAVE  = ../$(PACKAGENAME)

# Nom du nouveau répertoire contenant les fichiers sauvegardés :
SAVED_DIR_NAME = $(PACKAGENAME)-$(DATF)

# Nom absolu du repertoire créé :
ABSOLUTE_SAVED_DIR_NAME = $(BACKUP_DIR)/$(SAVED_DIR_NAME)

########################################################################
all: doc ex

ex:
	latex $(EXEMPLES).tex ;\
	latex $(EXEMPLES).tex ;\
	dvips $(EXEMPLES).dvi -o $(EXEMPLES).ps ;\
	ghostview $(EXEMPLES).ps &

doc:
	latex $(FILE).tex;\
	latex $(FILE).tex;\
	dvips $(FILE).dvi -o $(FILE).ps; \
	ghostview $(FILE).ps &

one:
	latex $(FILE).tex ;\
	dvips $(FILE).dvi -o $(FILE).ps ;\
	ghostview $(FILE).ps &

two:
	latex $(FILE).tex;\
	latex $(FILE).tex;\
	dvips $(FILE).dvi -o $(FILE).ps

tex:
	latex $(FILE).tex

ps:
	dvips $(FILE).dvi -o $(FILE).ps

bib:
	bibtex $(FILE)

vps:
	ghostview $(FILE).ps &

vdvi:
	xdvi $(FILE).dvi &

ed:
	tew $(FILE).tex &


# diamarchcvs:
# 	
# 	cd $(BACKUP_DIR); \
# 	cvs export -d $(SAVED_DIR_NAME) -D now $(CVSMODULE); \
# 	tar cvf - $(SAVED_DIR_NAME) | gzip > $(SAVED_DIR_NAME).tar.gz; \
# 	echo "VERIFIER LE REPERTOIRE ET L'ARCHIVE CREE PAR : "
# 	echo "     cd $(HOME)/BACKUP/ "

########################################################################
# Archivage du répertoire de travail principal 

diamarch:
	
	cp -rp $(DIR_TO_SAVE) $(ABSOLUTE_SAVED_DIR_NAME) ; \
	cd $(ABSOLUTE_SAVED_DIR_NAME); \
	make distclean;\
	cd $(BACKUP_DIR); \
	tar cf - $(SAVED_DIR_NAME) | gzip > $(SAVED_DIR_NAME).tar.gz; 
	@echo "VERIFIER LE REPERTOIRE ET L'ARCHIVE CREE PAR : "
	@echo "     cd $(BACKUP_DIR)"
	@echo "     cd $(SAVED_DIR_NAME)"
	@echo "     Pour revenir au répertoire original, faite :"
	@echo "     cd $(OLD_PWD)"

########################################################################
clean: 
	rm -f *.aux *.bbl *.blg  *.log *.lof *.lot *.toc *.tmp *.dvi

########################################################################
